#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  libportal-0.3

- Next

  libseccomp-2.5.1

- Up
- Home

# libqmi-1.26.10

## Introduction to libqmi

The libqmi package contains a GLib-based library for talking to WWAN modems and devices which speak the Qualcomm MSM Interface (QMI) protocol.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://www.freedesktop.org/software/libqmi/libqmi-1.26.10.tar.xz

- Download MD5 sum: b5c98878b7d355aa47a1feaefff0b6d7

- Download size: 1.0 MB

- Estimated disk space required: 138 MB (with tests)

- Estimated build time: 0.3 SBU (Using parallelism=4; with tests)

### libqmi Dependencies

#### Required

GLib-2.66.7

#### Recommended

gobject-introspection-1.66.1 and libmbim-1.24.6

#### Optional

GTK-Doc-1.33.2 and help2man

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libqmi

## Installation of libqmi

Install libqmi by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

`--disable-mbim-qmux`: This switch disables support for using a MBIM control device for QMI messages. Use this switch if you did not install libmbim.

## Contents

Installed Programs: qmicli, qmi-firmware-update, and qmi-network
Installed Libraries: libqmi-glib.so
Installed Directories: /usr/include/libqmi-glib and /usr/share/gtk-doc/html/libqmi-glib

### Short Descriptions

qmicli | is an utility used to control QMI devices
qmi-firmware-update | is an utility used to perform firmware updates on QMI devices
qmi-network | is an utility used for simple network management of QMI devices
`libqmi-glib.so` | contains API functions for talking to WWAN modems and devices which speak the Qualcomm MSM Interface (QMI) protocol

Last updated on 2021-02-19 22:13:48 -0800

- Prev

  libportal-0.3

- Next

  libseccomp-2.5.1

- Up
- Home